Name:           perl-Math-BigRat
# Keep 4-digit version to compete with perl.spec
Version:        0.2614
Release:        2%{?dist}
Summary:        Arbitrary big rational numbers
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Math-BigRat/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJACKLAM/Math-BigRat-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt) >= 1.999718
BuildRequires:  perl(overload)
# Tests:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(lib)
# Math::Complex not used
# Scalar::Util not used
# Test::CPAN::Changes not used
BuildRequires:  perl(Test::More) >= 0.88
# Test::Version not used
# Optional tests:
# Module::Signature not used and not helpful
# Pod::Coverage 0.18 not used
# Socket not used
# Test::Pod 1.22 not used
# Test::Pod::Coverage 1.08 not used
# Test::Portability::Files not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Math::BigInt) >= 1.999718
Conflicts:      perl < 4:5.22.0-348

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing
support for arbitrary big rational numbers.

%prep
%setup -q -n Math-BigRat-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset RELEASE_TESTING
make test

%files
%license LICENSE
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 29 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.2614-2
- Rebuild with enable hardening (bug #1636329)

* Wed Apr 18 2018 Petr Pisar <ppisar@redhat.com> - 0.2614-1
- 0.2614 bump

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2613-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2613-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Petr Pisar <ppisar@redhat.com> - 0.2613-1
- 0.2613 bump

* Sat Jun 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.2612-2
- Perl 5.26 rebuild

* Thu Mar 02 2017 Petr Pisar <ppisar@redhat.com> - 0.2612-1
- 0.2612 bump

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2611-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Petr Pisar <ppisar@redhat.com> 0.2611-1
- Specfile autogenerated by cpanspec 1.78.
